当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 使用Qt
帖子发表于 : 2009-01-26 18:43 

注册: 2008-05-14 10:08
帖子: 70
送出感谢: 0 次
接收感谢: 0 次
Ubuntu8.04下想使用Qt,是不是得把Gnome换成Kde,然后再安装Qt?请高手指点,谢谢


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-01-26 19:56 
头像

注册: 2008-09-20 4:47
帖子: 46
地址: Tampere
送出感谢: 0 次
接收感谢: 0 次
不需要,直接装Qt库就可以了


_________________
匿名安全通信
http://xizhizhu.blogspot.com/
xizhi.zhu@tut.fi


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-01-27 1:01 
头像

注册: 2007-11-23 9:49
帖子: 1021
送出感谢: 0 次
接收感谢: 1
wiki.ubuntu.org.cn/Gtk与Qt编译环境安装与配置


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-02-02 0:05 

注册: 2008-11-26 9:50
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
如果是从源代码编译安装的方法,建议还是先用Kubuntu,要不然就先把依赖的库都装上去。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-02-09 10:28 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
sjbird331 写道:
Ubuntu8.04下想使用Qt,是不是得把Gnome换成Kde,然后再安装Qt?请高手指点,谢谢


如果是是想使用 Qt 软件的话,直接安装即可。

如果你是想进行开发的话,最好用 gnome 环境开发 Qt 程序,用 KDE 环境开发 gtk 程序。

其理由是:桌面环境对你开发库的依赖会不必要的增加调试的复杂性。——当你进行较高级的程序开发调试时会逐渐明显的感觉到这一点。

gnome 的整个环境不依赖 Qt,所以在这个环境下开发 Qt 程序,整个系统中所有对 Qt 依赖的程序只有你自己开发的软件,出问题就非常容易调试和定位,也非常容易通过修改 Qt 代码来实现某些特定功能。——如果你的桌面环境依赖 Qt,那么你至少不敢轻易修改 Qt 代码。而且库相关的问题也不容易定位和调试。

建议在 KDE 下面开发 gtk 程序也是出于相同的理由。

当然对于简单的程序来说怎么样都是无所谓的。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-02-09 18:10 
头像

注册: 2007-11-23 9:49
帖子: 1021
送出感谢: 0 次
接收感谢: 1
poet 写道:
sjbird331 写道:
Ubuntu8.04下想使用Qt,是不是得把Gnome换成Kde,然后再安装Qt?请高手指点,谢谢


如果是是想使用 Qt 软件的话,直接安装即可。

如果你是想进行开发的话,最好用 gnome 环境开发 Qt 程序,用 KDE 环境开发 gtk 程序。

其理由是:桌面环境对你开发库的依赖会不必要的增加调试的复杂性。——当你进行较高级的程序开发调试时会逐渐明显的感觉到这一点。

gnome 的整个环境不依赖 Qt,所以在这个环境下开发 Qt 程序,整个系统中所有对 Qt 依赖的程序只有你自己开发的软件,出问题就非常容易调试和定位,也非常容易通过修改 Qt 代码来实现某些特定功能。——如果你的桌面环境依赖 Qt,那么你至少不敢轻易修改 Qt 代码。而且库相关的问题也不容易定位和调试。

建议在 KDE 下面开发 gtk 程序也是出于相同的理由。

当然对于简单的程序来说怎么样都是无所谓的。

:em11 哈哈,有理


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-02-17 9:52 
头像

注册: 2009-02-08 18:16
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
poet 写道:
sjbird331 写道:
Ubuntu8.04下想使用Qt,是不是得把Gnome换成Kde,然后再安装Qt?请高手指点,谢谢


如果是是想使用 Qt 软件的话,直接安装即可。

如果你是想进行开发的话,最好用 gnome 环境开发 Qt 程序,用 KDE 环境开发 gtk 程序。

其理由是:桌面环境对你开发库的依赖会不必要的增加调试的复杂性。——当你进行较高级的程序开发调试时会逐渐明显的感觉到这一点。

gnome 的整个环境不依赖 Qt,所以在这个环境下开发 Qt 程序,整个系统中所有对 Qt 依赖的程序只有你自己开发的软件,出问题就非常容易调试和定位,也非常容易通过修改 Qt 代码来实现某些特定功能。——如果你的桌面环境依赖 Qt,那么你至少不敢轻易修改 Qt 代码。而且库相关的问题也不容易定位和调试。

建议在 KDE 下面开发 gtk 程序也是出于相同的理由。

当然对于简单的程序来说怎么样都是无所谓的。

有理。我虽然不懂,但也能觉得有理。我们很需要你这样的回答。
我也有类似的问题。仅仅是想用一个叫OpenFOAM的应用软件,这个软件要求有且只能有Q4.3.x版本,低了不行,高了也不行。以为只有到KDE环境才能用Qt,于是装了Kubuntu。看来画蛇添足了。现在的版本是4.4.3还正愁着呢。


_________________
有足够广泛和开放的源是进化的必要条件--达尔文


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 使用Qt
帖子发表于 : 2009-02-18 2:18 
头像

注册: 2007-11-23 9:49
帖子: 1021
送出感谢: 0 次
接收感谢: 1
apt好像可以限定某个包的版本


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译